Package org.eclipse.jgit.patch

## Class HunkHeader.OldImage

- java.lang.Object
- - org.eclipse.jgit.patch.HunkHeader.OldImage

Enclosing class:
  HunkHeader

    public abstract static class HunkHeader.OldImage
    extends Object

Details about an old image of the file.

### Constructor Summary

Constructors
`OldImage()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract AbbreviatedObjectId` `getId()`
`int` `getLineCount()`
`int` `getLinesAdded()`
`int` `getLinesDeleted()`
`int` `getStartLine()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OldImage

    public OldImage()

### Method Detail

#### getStartLine

    public int getStartLine()

Returns:
  first line number the hunk starts on in this file.

#### getLineCount

    public int getLineCount()

Returns:
  total number of lines this hunk covers in this file.

#### getLinesDeleted

    public int getLinesDeleted()

Returns:
  number of lines deleted by the post-image from this file.

#### getLinesAdded

    public int getLinesAdded()

Returns:
  number of lines added by the post-image not in this file.

#### getId

    public abstract AbbreviatedObjectId getId()

Returns:
  object id of the pre-image file.